Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Obsolete Members for QLCDNumber

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

QLCDNumber class reference

### Public Functions

- QLCDNumber ( QWidget * parent, const char * name ) `(obsolete)`
- QLCDNumber ( uint numDigits, QWidget * parent, const char * name ) `(obsolete)`

## Member Function Documentation

### QLCDNumber::QLCDNumber ( QWidget * parent, const char * name )

Constructs an LCD number, sets the number of digits to 5, the base to decimal, the decimal point mode to 'small' and the frame style to a raised box. The segmentStyle() is set to `Outline`.

The parent and name arguments are passed to the QFrame constructor.

See also setNumDigits() and setSmallDecimalPoint().

### QLCDNumber::QLCDNumber ( uint numDigits, QWidget * parent, const char * name )

Constructs an LCD number, sets the number of digits to numDigits, the base to decimal, the decimal point mode to 'small' and the frame style to a raised box. The segmentStyle() is set to `Outline`.

The parent and name arguments are passed to the QFrame constructor.

See also setNumDigits() and setSmallDecimalPoint().